Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
heaps_slot Struct Reference

## Data Fields
struct heaps_header * | header
uintptr_t * | bits
RVALUE * | freelist
struct heaps_slot * | next
struct heaps_slot * | prev
struct heaps_slot * | free_next

## Detailed Description

Definition at line 162 of file gc.c.

## Field Documentation

uintptr_t* heaps_slot::bits

Definition at line 164 of file gc.c.

Referenced by gc_clear_slot_bits(), and slot_sweep().

struct heaps_slot* heaps_slot::free_next

Definition at line 168 of file gc.c.

Referenced by link_free_heap_slot(), rb_gc_force_recycle(), slot_sweep(), and unlink_free_heap_slot().

RVALUE* heaps_slot::freelist

Definition at line 165 of file gc.c.

Referenced by add_slot_local_freelist(), newobj(), and slot_sweep().

struct heaps_header* heaps_slot::header

Definition at line 163 of file gc.c.

Referenced by finalize_list(), is_swept_object(), and slot_sweep().

struct heaps_slot* heaps_slot::next

Definition at line 166 of file gc.c.

Referenced by assign_heap_slot(), free_stack_chunks(), gc_sweep(), is_swept_object(), lazy_sweep(), push_mark_stack_chunk(), and unlink_heap_slot().

struct heaps_slot* heaps_slot::prev

Definition at line 167 of file gc.c.

Referenced by pop_mark_stack_chunk(), and unlink_heap_slot().

The documentation for this struct was generated from the following file:

- gc.c